libcamera v0.6.0 Supporting cameras in Linux since 2019

Loading...
Searching...
No Matches
libcamera::MutexLocker Class Referencefinal

std::unique_lock wrapper with clang thread safety annotation More...

## Detailed Description

std::unique_lock wrapper with clang thread safety annotation

The MutexLocker class wraps a std::unique_lock instance to add clang thread safety annotation support. The class exposes the same interface as std::unique_lock and can be used as a transparent replacement. It integrates with the Mutex and ConditionVariable classes.

See https://en.cppreference.com/w/cpp/thread/unique_lock for the complete API documentation.

The documentation for this class was generated from the following file:

- include/libcamera/base/mutex.h